Browser-unabhängig

www.altova.com Dieses Kapitel drucken Vorherige Seite Eine Ebene nach oben Nächste Seite

Startseite >  Einrichten des Servers > HTML-Seite für das Authentic Plug-in >

Browser-unabhängig

In manchen Projekten ist es nicht immer bekannt, welcher Browser (Internet Explorer oder Firefox) auf dem Client verwendet wird. In diesen Fällen können auf dem Server Authentic Browser Versionen sowohl für Internet Explorer als auch  Firefox gespeichert werden (d.h. sowohl die CAB-Datei als auch die XPI-Datei kann auf dem Server gespeichert werden). Sie können in die HTML-Seite ein Script einfügen, mit dem ermittelt wird, mit welchem Browser die HTML-Seite geöffnet wurde, sodass die richtige Authentic Browser Plug-in geladen werden kann.

 

Wenn auf dem Client Internet Explorer verwendet wird, so muss die richtige .CAB Datei (für den 32-Bit oder den 64-Bit Internet Explorer) ausgewählt werden, um vom Server heruntergeladen zu werden. Mit Hilfe eines Skripts kann ermittelt werden, welche X-Bit Version von Internet Explorer verwendet wird, damit die richtige .CAB Datei vom Server heruntergeladen wird.

 

Der Abschnitt enthält eine Beispieldatei, in der der Browser ermittelt wird, die korrekte Authentic Browser Version geladen wird und einige Funktionen ausgeführt werden. Informationen zu einzelnen Objekten finden Sie im Abschnitt "Benutzerreferenz" unter der entsprechenden Object-Beschreibung.

 

Hinweis:
Das Authentic Browser Plug-in wird für Internet Explorer 5.5 oder höher und Mozilla Firefox unterstützt.
Stellen Sie sicher, dass der MIME Type für XPI-Dateien im Browser-Dienst Ihres Servers zur Liste der MIME Types für die gewünschte Site hinzugefügt wurde.

 


© 2019 Altova GmbH